# pqxx::string_traits< std::stringstream > Struct Template Reference
[String conversion]

`#include <util.hxx>`

List of all members.

## Static Public Member Functions
static const char * | name ()
static bool | has_null ()
static bool | is_null (const std::stringstream &)
static std::stringstream | null ()
static void | from_string (const char Str[], std::stringstream &Obj)
static std::string | to_string (const std::stringstream &Obj)

### template<>
struct pqxx::string_traits< std::stringstream >

## Member Function Documentation

static void pqxx::string_traits< std::stringstream >::from_string | ( | const char | Str[],
|  | std::stringstream & | Obj |
| ) |  |  | `[static]`

static bool pqxx::string_traits< std::stringstream >::has_null | ( |  | ) | `[static]`

static bool pqxx::string_traits< std::stringstream >::is_null | ( | const std::stringstream & |  | ) | `[static]`

static const char* pqxx::string_traits< std::stringstream >::name | ( |  | ) | `[static]`

static std ::stringstream pqxx::string_traits< std::stringstream >::null | ( |  | ) | `[static]`

References pqxx::internal::throw_null_conversion().

static std ::string pqxx::string_traits< std::stringstream >::to_string | ( | const std::stringstream & | Obj | ) | `[static]`

The documentation for this struct was generated from the following file:

- util.hxx